development:
  - "newer:jshint"
  - "newer:uglify:ddvisualeditor"
  - "newer:uglify:bootstrap"
  - "newer:less:bootstrap"
  - "newer:sass:gridstack"
  - "less:ddvisualeditor"
  - "cssmin:ddvisualeditor"
  - "copy:ddvisualeditor"

base:
  - "exec:summernote_build"
  - "less:ddbase"
  - "less:bootstrap"
  - "less:fontawesome"
  - "cssmin:ddbase"
  - "uglify:ddbase"
  - "uglify:bootstrap"
  - "uglify:jquery"
  - "uglify:jqueryui"

production:
  - "base"
  - "jshint:ddvisualeditor"
  - "uglify:ddvisualeditor"
  - "uglify:bootstrap"
  - "less:bootstrap"
#  - "sass:gridstack"
  - "less:ddvisualeditor"
  - "cssmin:ddvisualeditor"
  - "copy:ddvisualeditor"

test:
  - "karma:ddvisualeditor"

tests:
  - "test"

default:
  - "production"
